### Class

# Snapd Icon

since: 1.0

#### Description [src]

    final class Snapd.Icon : GObject.Object
    {
      /* No available fields */
    }

`SnapdIcon` contains icon data.

Available since: 1.0

#### Ancestors

- GObject

#### Instance methods

###### snapd_icon_get_data

Get the binary data for this icon.

since: 1.0

###### snapd_icon_get_mime_type

Get the mime-type for this icon, e.g. “image/png”.

since: 1.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Snapd.Icon:data

No description available.

###### Snapd.Icon:mime-type

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct SnapdIconClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.